from rest_framework.serializers import ModelSerializer
from greg.api.serializers.ouidentifier import OuIdentifierSerializer

from greg.models import OrganizationalUnit


class OrganizationalUnitSerializer(ModelSerializer):
    identifiers = OuIdentifierSerializer(many=True)

    class Meta:
        model = OrganizationalUnit
        fields = [
            "id",
            "created",
            "updated",
            "name_nb",
            "name_en",
            "active",
            "deleted",
            "parent",
            "identifiers",
        ]
